## net.dontdrinkandroot.utils
Class SystemProperties

    java.lang.Object
      net.dontdrinkandroot.utils.SystemProperties

    public class SystemProperties

extends java.lang.Object

Utility class to easily access standard java system properties.

Author:
  Philip W. Sorst

Constructor Summary
`protected` `SystemProperties()` Utility class, disabled constructor.

Method Summary
`static java.lang.String` `getFileEncoding()` The character encoding for the default locale.
`static java.lang.String` `getFileEncodingPkg()` The package that contains the converters that handle converting between local encodings and Unicode.
`static java.lang.String` `getFileSeparator()` The platform-dependent file separator (e.g., "/" on UNIX, "\" for Windows).
`static java.lang.String` `getJavaClassPath()` The value of the CLASSPATH environment variable
`static java.lang.String` `getJavaClassVersion()` The version of the Java API.
`static java.lang.String` `getJavaCompiler()` The just-in-time compiler to use, if any.
`static java.lang.String` `getJavaHome()` The directory in which Java is installed.
`static java.lang.String` `getJavaIoTmpdir()` The directory in which java should create temporary files.
`static java.lang.String` `getJavaVendor()` A vendor-specific string.
`static java.lang.String` `getJavaVendorUrl()` A vendor URL.
`static java.lang.String` `getJavaVersion()` The version of the Java interpreter.
`static java.lang.String` `getLineSeparator()` The platform-dependent line separator (e.g., "\n" on UNIX, "\r\n" for Windows).
`static java.lang.String` `getOsArch()` The system architecture.
`static java.lang.String` `getOsName()` The name of the operating system.
`static java.lang.String` `getOsVersion()` The operating system version.
`static java.lang.String` `getPathSeparator()` The platform-dependent path separator (e.g., ":" on UNIX, "," for Windows).
`static java.lang.String` `getUserDir()` The current working directory when the properties were initialized.
`static java.lang.String` `getUserHome()` The home directory of the current user.
`static java.lang.String` `getUserLanguage()` The two-letter language code of the default locale.
`static java.lang.String` `getUserName()` The username of the current user.
`static java.lang.String` `getUserRegion()` The two-letter country code of the default locale.
`static java.lang.String` `getUserTimezone()` The default time zone.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProperties

    protected SystemProperties()

  Utility class, disabled constructor.

Method Detail

### getFileEncoding

    public static java.lang.String getFileEncoding()

  The character encoding for the default locale.

### getFileEncodingPkg

    public static java.lang.String getFileEncodingPkg()

  The package that contains the converters that handle converting between local encodings and Unicode.

### getFileSeparator

    public static java.lang.String getFileSeparator()

  The platform-dependent file separator (e.g., "/" on UNIX, "\" for Windows).

### getJavaClassPath

    public static java.lang.String getJavaClassPath()

  The value of the CLASSPATH environment variable

### getJavaClassVersion

    public static java.lang.String getJavaClassVersion()

  The version of the Java API.

### getJavaCompiler

    public static java.lang.String getJavaCompiler()

  The just-in-time compiler to use, if any. The java interpreter provided with the JDK initializes this property from the environment variable JAVA_COMPILER..

### getJavaHome

    public static java.lang.String getJavaHome()

  The directory in which Java is installed.

### getJavaIoTmpdir

    public static java.lang.String getJavaIoTmpdir()

  The directory in which java should create temporary files.

### getJavaVersion

    public static java.lang.String getJavaVersion()

  The version of the Java interpreter.

### getJavaVendor

    public static java.lang.String getJavaVendor()

  A vendor-specific string.

### getJavaVendorUrl

    public static java.lang.String getJavaVendorUrl()

  A vendor URL.

### getLineSeparator

    public static java.lang.String getLineSeparator()

  The platform-dependent line separator (e.g., "\n" on UNIX, "\r\n" for Windows).

### getOsName

    public static java.lang.String getOsName()

  The name of the operating system.

### getOsArch

    public static java.lang.String getOsArch()

  The system architecture.

### getOsVersion

    public static java.lang.String getOsVersion()

  The operating system version.

### getPathSeparator

    public static java.lang.String getPathSeparator()

  The platform-dependent path separator (e.g., ":" on UNIX, "," for Windows).

### getUserDir

    public static java.lang.String getUserDir()

  The current working directory when the properties were initialized.

### getUserHome

    public static java.lang.String getUserHome()

  The home directory of the current user.

### getUserLanguage

    public static java.lang.String getUserLanguage()

  The two-letter language code of the default locale.

### getUserName

    public static java.lang.String getUserName()

  The username of the current user.

### getUserRegion

    public static java.lang.String getUserRegion()

  The two-letter country code of the default locale.

### getUserTimezone

    public static java.lang.String getUserTimezone()

  The default time zone.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.